import { config } from "./config"

export const respath = {
  home_ui_res: "resources/Home.lh",
  topbar_ui_res: "resources/TopBar.lh",

  stage_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/Stage_H.lh" : "resources/Stage.lh"
  },

  gamepause_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/GamePause_H.lh" : "resources/GamePause.lh"
  },
  gameover_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/GameOver_H.lh" : "resources/GameOver.lh"
  },
  gamedone_ui_res: function func(isClassic: boolean): string {
    if (isClassic) {
      return config.H_SCREEN ? "resources/GameDone_Normal_H.lh" : "resources/GameDone_Normal.lh"
    } else {
      return config.H_SCREEN ? "resources/GameDone_DC_H.lh" : "resources/GameDone_DC.lh"
    }
  },

  score_add_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/ScoreAdd_H.lh" : "resources/ScoreAdd.lh"
  },

  common_tips_ui_res: "resources/CommonTips.lh",
  difficulty_ui_res: "resources/Difficulty.lh",

  dc_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/DailyChallenge_H.lh" : "resources/dc/DailyChallenge.lh"
  },
  trophy_claim_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyClaim_H.lh" : "resources/dc/TrophyClaim.lh"
  },
  trophy_show_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyShow_H.lh" : "resources/dc/TrophyShow.lh"
  },
  trophy_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyRoom_H.lh" : "resources/dc/TrophyRoom.lh"
  },
  trophy_year_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyRoomYear_H.lh" : "resources/dc/TrophyRoomYear.lh"
  },
  trophy_cell_ui_res: function func(): string {
    return config.H_SCREEN ? "resources/dc/TrophyRoomCell_H.lh" : "resources/dc/TrophyRoomCell.lh"
  },

  font_Bold: "fonts/Inter-Bold-700.ttf",
  font_Medium: "fonts/Inter-Medium-500.ttf",
  font_Regular: "fonts/Inter-Regular-400.ttf",
  font_SemiBold: "fonts/Inter-SemiBold-600.ttf",

  // ===============================
  bg_done: "images/bg_done.png",
  bg_done_light: "images/bg_done_light.png",
  bg_done_top: "images/bg_done_top.png",
  icon_star1: "images/star.png",
  icon_star2: "images/star2.png",

  home_top_dc_bg_normal: "images/bg_dc_top1.png",
  home_top_dc_bg_finish: "images/bg_dc_top2.png",
  dc_top_bg_normal: "images/img_dc_bg2.png",
  dc_top_bg_finish: "images/img_dc_finished.png",
  get_dc_lights: function func(): string[] {
    const dc_lights: Array<string> = []
    const prefix = "sequences/lottie_trophy_light_2x/lottie_trophy_light_2x_00"
    for (let i = 0; i < 120; i++) {
      let endStr = i.toString()
      if (i < 10) {
        endStr = `00${i}`
      } else if (i < 100) {
        endStr = `0${i}`
      }
      const path = `${prefix + endStr}.png`
      dc_lights.push(path)
    }
    return dc_lights
  },

  trophy_bg_light_gold: "trophys/img_trophy_bg_light_gold.png",
  trophy_bg_light_grey: "trophys/img_trophy_bg_light_gray.png",

  trophy_01: "trophys/trophy_01.png",
  trophy_02: "trophys/trophy_02.png",
  trophy_03: "trophys/trophy_03.png",
  trophy_04: "trophys/trophy_04.png",
  trophy_05: "trophys/trophy_05.png",
  trophy_06: "trophys/trophy_06.png",
  trophy_07: "trophys/trophy_07.png",
  trophy_08: "trophys/trophy_08.png",
  trophy_09: "trophys/trophy_09.png",
  trophy_10: "trophys/trophy_10.png",
  trophy_11: "trophys/trophy_11.png",
  trophy_12: "trophys/trophy_12.png"
}
